[PATCH V2 1/4] bootstrap: Add dependency checks

Geoff Levand geoff at infradead.org
Tue Jan 9 04:47:04 AEDT 2018


Signed-off-by: Geoff Levand <geoff at infradead.org>
---
v2: Changed check from using which to use --version

 bootstrap | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/bootstrap b/bootstrap
index e72dad6..4653877 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,3 +1,14 @@
 #!/bin/sh
 
+progs="autoconf automake autopoint libtoolize pkg-config"
+
+for p in ${progs}; do
+	if test -z "$(${p} --version 2>/dev/null)"; then
+		echo "Please install ${p}"
+		result=1
+	fi
+done
+
+[ -z ${result} ] || exit 1
+
 exec autoreconf -f -i
-- 
2.11.0



More information about the Petitboot mailing list